import { defineComponent, computed, onMounted, resolveComponent, openBlock, createElementBlock, createBlock, unref } from "vue";
import { a7 as normalizeFileType } from "./kit-ddc495fb.js";
import "element-plus";
const _hoisted_1 = { class: "player-wrap" };
const _hoisted_2 = ["src"];
const _hoisted_3 = ["src"];
const _hoisted_4 = { key: 3 };
const __default__ = defineComponent({
  name: "attachment-player"
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    url: null,
    node: null,
    editor: null,
    fileType: null
  },
  emits: ["load"],
  setup(__props, { emit }) {
    const props = __props;
    const imgList = computed(() => {
      var _a, _b;
      if (props.editor.isEditable) {
        return [];
      } else {
        return ((_b = (_a = props.editor.getJSON()) == null ? void 0 : _a.content) == null ? void 0 : _b.filter(({ type, attrs }) => {
          return type === "attachment" && normalizeFileType(attrs.fileType) === "image";
        }).map(({ attrs }) => attrs.url)) ?? [];
      }
    });
    const initialIndex = computed(() => {
      return imgList.value.findIndex((src) => props.node.attrs.url === src);
    });
    onMounted(() => {
      if (!["video", "audio", "image"].some((type) => type !== props.fileType)) {
        emit("load");
      }
    });
    return (_ctx, _cache) => {
      const _component_el_image = resolveComponent("el-image");
      return openBlock(), createElementBlock("div", _hoisted_1, [
        __props.fileType === "video" ? (openBlock(), createElementBlock("video", {
          key: 0,
          controls: "",
          autoPlay: "",
          src: __props.url,
          onCanplay: _cache[0] || (_cache[0] = ($event) => emit("load"))
        }, null, 40, _hoisted_2)) : __props.fileType === "audio" ? (openBlock(), createElementBlock("audio", {
          key: 1,
          controls: "",
          autoPlay: "",
          src: __props.url,
          onCanplay: _cache[1] || (_cache[1] = ($event) => emit("load"))
        }, null, 40, _hoisted_3)) : __props.fileType === "image" ? (openBlock(), createBlock(_component_el_image, {
          key: 2,
          src: __props.url,
          "preview-src-list": unref(imgList),
          "initial-index": unref(initialIndex),
          lazy: "",
          onLoad: _cache[2] || (_cache[2] = ($event) => emit("load"))
        }, null, 8, ["src", "preview-src-list", "initial-index"])) : (openBlock(), createElementBlock("span", _hoisted_4, "暂不支持预览该类型文件"))
      ]);
    };
  }
});
const index_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as default
};
