import { defineComponent, resolveComponent, openBlock, createBlock, withCtx, createVNode, createElementVNode, unref } from "vue";
import { I as InlineSvg, L as copySvgPath } from "./kit-ddc495fb.js";
import { ElMessage } from "element-plus";
import { d as deleteSvgPath } from "./index-cb3e841f.js";
import { _ as _sfc_main$1 } from "./index.vue_vue_type_script_setup_true_lang-e00de371.js";
import { c as copyNode } from "./copy-node-4152c4b7.js";
import { d as deleteNode } from "./delete-node-731bb9cb.js";
const __default__ = defineComponent({
  name: "tiptap-menus-code-block"
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    editor: null
  },
  setup(__props) {
    const props = __props;
    const shouldShow = () => {
      var _a;
      return (_a = props.editor) == null ? void 0 : _a.isActive("codeBlock");
    };
    const getRenderContainer = (node) => {
      let container = node;
      if (!container.tag) {
        container = node.parentElement;
      }
      while (container && container.classList && !container.classList.contains("node-codeBlock")) {
        container = container.parentElement;
      }
      return container;
    };
    const copyMe = () => {
      copyNode("codeBlock", props.editor, () => {
        ElMessage({
          showClose: false,
          message: "复制成功！",
          type: "success"
        });
      });
    };
    const deleteMe = () => {
      deleteNode("codeBlock", props.editor);
    };
    return (_ctx, _cache) => {
      const _component_el_tooltip = resolveComponent("el-tooltip");
      const _component_el_divider = resolveComponent("el-divider");
      const _component_el_space = resolveComponent("el-space");
      return openBlock(), createBlock(_sfc_main$1, {
        class: "bubble-menu",
        editor: __props.editor,
        "should-show": shouldShow,
        "plugin-key": "code-block-bubble-menu",
        "tippy-options": { maxWidth: "calc(100vw - 100px)" },
        "get-render-container": getRenderContainer
      }, {
        default: withCtx(() => [
          createVNode(_component_el_space, null, {
            default: withCtx(() => [
              createVNode(_component_el_tooltip, {
                content: "复制",
                effect: "dark",
                placement: "top",
                enterable: false,
                offset: 5,
                "hide-after": 0
              }, {
                default: withCtx(() => [
                  createElementVNode("button", {
                    class: "tiptap-button bg-hover-secondary",
                    onClick: copyMe
                  }, [
                    createVNode(unref(InlineSvg), {
                      class: "w-17px h-17px",
                      src: unref(copySvgPath)
                    }, null, 8, ["src"])
                  ])
                ]),
                _: 1
              }),
              createVNode(_component_el_divider, {
                class: "h-18px",
                direction: "vertical"
              }),
              createVNode(_component_el_tooltip, {
                content: "删除节点",
                effect: "dark",
                placement: "top",
                enterable: false,
                offset: 5,
                "hide-after": 0
              }, {
                default: withCtx(() => [
                  createElementVNode("button", {
                    class: "tiptap-button bg-hover-secondary",
                    onClick: deleteMe
                  }, [
                    createVNode(unref(InlineSvg), {
                      class: "w-17px h-17px",
                      src: unref(deleteSvgPath)
                    }, null, 8, ["src"])
                  ])
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 8, ["editor", "tippy-options"]);
    };
  }
});
export {
  _sfc_main as default
};
