import { defineComponent, resolveComponent, openBlock, createBlock, withCtx, createVNode } from "vue";
import { _ as _sfc_main$5 } from "./index.vue_vue_type_script_setup_true_lang-e70b4ff3.js";
import { _ as _sfc_main$b } from "./index.vue_vue_type_script_setup_true_lang-2c4a4b71.js";
import { _ as _sfc_main$6 } from "./index.vue_vue_type_script_setup_true_lang-c4f3afc6.js";
import { _ as _sfc_main$4 } from "./index.vue_vue_type_script_setup_true_lang-0314c1fc.js";
import { _ as _sfc_main$3 } from "./index.vue_vue_type_style_index_0_lang-9a4d108e.js";
import { _ as _sfc_main$2 } from "./index.vue_vue_type_style_index_0_lang-40ff3ac5.js";
import { _ as _sfc_main$7 } from "./index.vue_vue_type_script_setup_true_lang-e7c60a4f.js";
import { _ as _sfc_main$8 } from "./index.vue_vue_type_script_setup_true_lang-52b168e6.js";
import { _ as _sfc_main$9 } from "./index.vue_vue_type_script_setup_true_lang-5b65d7fc.js";
import { _ as _sfc_main$a } from "./index.vue_vue_type_style_index_0_lang-87fbe0c7.js";
import { _ as _sfc_main$1 } from "./index.vue_vue_type_script_setup_true_lang-e00de371.js";
import { Z as Attachment, $ as CodeBlock, a0 as Image, a1 as Table, a2 as TableOfContents, a3 as Title } from "./kit-ddc495fb.js";
import "./align_right-7233456b.js";
import "./index-cb3e841f.js";
import "element-plus";
import "./color-387e4356.js";
const __default__ = defineComponent({
  name: "tiptap-menus-text"
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    editor: null
  },
  setup(__props) {
    const props = __props;
    const isInTitle = (state) => {
      if (!state.schema.nodes.title)
        return false;
      const $anchor = state.selection.$anchor;
      const $head = state.selection.$head;
      for (let d = $anchor.depth; d > 0; d--) {
        if ($anchor.node(d).type === state.schema.nodes.title) {
          return true;
        }
      }
      for (let d = $head.depth; d > 0; d--) {
        if ($head.node(d).type === state.schema.nodes.title) {
          return true;
        }
      }
      return false;
    };
    const shouldShow = () => {
      if (props.editor.state.selection.empty)
        return false;
      if ([
        Attachment.name,
        // Callout.name,
        CodeBlock.name,
        // Columns.name
        // Countdown.name,
        // DocumentReference.name,
        // DocumentChildren.name,
        // Excalidraw.name,
        // Flow.name,
        // HorizontalRule.name,
        // Iframe.name,
        Image.name,
        // Katex.name,
        // Mind.name,
        // Status.name,
        Table.name,
        TableOfContents.name,
        Title.name
      ].some((type) => props.editor.isActive(type)) || isInTitle(props.editor.state))
        return false;
      const selection = props.editor.state.selection;
      const slice = selection.content();
      const text = slice.content.textBetween(0, slice.content.size);
      return !!(text && text.length);
    };
    return (_ctx, _cache) => {
      const _component_el_space = resolveComponent("el-space");
      return openBlock(), createBlock(_sfc_main$1, {
        class: "bubble-menu",
        editor: __props.editor,
        "should-show": shouldShow,
        pluginKey: "text-bubble-menu",
        "tippy-options": { maxWidth: "calc(100vw - 100px)" }
      }, {
        default: withCtx(() => [
          createVNode(_component_el_space, null, {
            default: withCtx(() => [
              createVNode(_sfc_main$2, { editor: __props.editor }, null, 8, ["editor"]),
              createVNode(_sfc_main$3, { editor: __props.editor }, null, 8, ["editor"]),
              createVNode(_sfc_main$4, { editor: __props.editor }, null, 8, ["editor"]),
              createVNode(_sfc_main$5, { editor: __props.editor }, null, 8, ["editor"]),
              createVNode(_sfc_main$6, { editor: __props.editor }, null, 8, ["editor"]),
              createVNode(_sfc_main$7, { editor: __props.editor }, null, 8, ["editor"]),
              createVNode(_sfc_main$8, { editor: __props.editor }, null, 8, ["editor"]),
              createVNode(_sfc_main$9, { editor: __props.editor }, null, 8, ["editor"]),
              createVNode(_sfc_main$a, { editor: __props.editor }, null, 8, ["editor"]),
              createVNode(_sfc_main$b, { editor: __props.editor }, null, 8, ["editor"])
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 8, ["editor", "tippy-options"]);
    };
  }
});
export {
  _sfc_main as default
};
