import { defineComponent, computed, resolveComponent, openBlock, createBlock, withCtx, createTextVNode, toDisplayString, unref, createElementVNode, normalizeClass, createVNode } from "vue";
import { I as InlineSvg } from "./kit-ddc495fb.js";
import { m as makeKeyMapWithCommon } from "./index-cb3e841f.js";
import "element-plus";
const svgPath = "data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTYiIGhlaWdodD0iMTYiIHZpZXdCb3g9IjAgMCAyNTYgMjU2IiByb2xlPSJwcmVzZW50YXRpb24iPgogIDxnIGZpbGw9Im5vbmUiIGZpbGxSdWxlPSJldmVub2RkIj4KICAgIDxyZWN0IGZpbGw9ImN1cnJlbnRDb2xvciIgeD0iMTciIHk9IjExNiIgd2lkdGg9IjIyMyIgaGVpZ2h0PSIyNCIgcng9IjEyIj48L3JlY3Q+CiAgPC9nPgo8L3N2Zz4=";
const _hoisted_1 = /* @__PURE__ */ createElementVNode("br", null, null, -1);
const _hoisted_2 = ["disabled"];
const __default__ = defineComponent({
  name: "tiptap-menus-horizontal-rule"
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    editor: null
  },
  setup(__props) {
    const props = __props;
    const isTitleActive = computed(() => {
      var _a;
      return (_a = props.editor) == null ? void 0 : _a.isActive.apply(props.editor, ["title"]);
    });
    const setHorizontalRule = () => {
      var _a;
      (_a = props.editor) == null ? void 0 : _a.chain().focus().setHorizontalRule().run();
    };
    return (_ctx, _cache) => {
      const _component_el_tooltip = resolveComponent("el-tooltip");
      return openBlock(), createBlock(_component_el_tooltip, {
        "popper-class": "text-center",
        effect: "dark",
        placement: "top",
        enterable: false,
        "hide-after": 0
      }, {
        content: withCtx(() => [
          createTextVNode("插入分割线"),
          _hoisted_1,
          createTextVNode(toDisplayString(unref(makeKeyMapWithCommon)(["Cmd", "H"])), 1)
        ]),
        default: withCtx(() => [
          createElementVNode("button", {
            class: normalizeClass(["tiptap-button", {
              "bg-hover-secondary": !unref(isTitleActive),
              "text-gray-500": unref(isTitleActive)
            }]),
            disabled: unref(isTitleActive),
            onClick: setHorizontalRule
          }, [
            createVNode(unref(InlineSvg), {
              class: "w-16px h-16px",
              src: unref(svgPath)
            }, null, 8, ["src"])
          ], 10, _hoisted_2)
        ]),
        _: 1
      });
    };
  }
});
export {
  _sfc_main as default
};
