import { defineComponent, computed, resolveComponent, openBlock, createBlock, withCtx, createTextVNode, toDisplayString, unref, createElementVNode, normalizeClass, createVNode } from "vue";
import { I as InlineSvg } from "./kit-ddc495fb.js";
import { m as makeKeyMapWithCommon, f as svgPath } from "./index-cb3e841f.js";
const _hoisted_1 = /* @__PURE__ */ createElementVNode("br", null, null, -1);
const _hoisted_2 = ["disabled"];
const __default__ = defineComponent({
  name: "tiptap-menus-underline"
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    editor: null
  },
  setup(__props) {
    const props = __props;
    const isUnderlineActive = computed(() => {
      var _a;
      return (_a = props.editor) == null ? void 0 : _a.isActive.apply(props.editor, ["underline"]);
    });
    const isTitleActive = computed(() => {
      var _a;
      return (_a = props.editor) == null ? void 0 : _a.isActive.apply(props.editor, ["title"]);
    });
    const underline = () => {
      var _a;
      (_a = props.editor) == null ? void 0 : _a.chain().focus().toggleUnderline().run();
    };
    return (_ctx, _cache) => {
      const _component_el_tooltip = resolveComponent("el-tooltip");
      return openBlock(), createBlock(_component_el_tooltip, {
        "popper-class": "text-center",
        effect: "dark",
        placement: "top",
        enterable: false,
        "hide-after": 0
      }, {
        content: withCtx(() => [
          createTextVNode("下划线"),
          _hoisted_1,
          createTextVNode(toDisplayString(unref(makeKeyMapWithCommon)(["Cmd", "U"])), 1)
        ]),
        default: withCtx(() => [
          createElementVNode("button", {
            class: normalizeClass(["tiptap-button", {
              "bg-light-dark": unref(isUnderlineActive),
              "bg-hover-secondary": !unref(isTitleActive),
              "text-gray-500": unref(isTitleActive)
            }]),
            disabled: unref(isTitleActive),
            onClick: underline
          }, [
            createVNode(unref(InlineSvg), {
              class: "w-16px h-16px",
              src: unref(svgPath)
            }, null, 8, ["src"])
          ], 10, _hoisted_2)
        ]),
        _: 1
      });
    };
  }
});
export {
  _sfc_main as _
};
