import { defineComponent, computed, resolveComponent, openBlock, createBlock, unref, withCtx, createVNode, createElementBlock, Fragment, renderList, normalizeClass, createElementVNode, createCommentVNode, resolveDynamicComponent, normalizeStyle, createTextVNode, toDisplayString } from "vue";
import { m as makeKeyMapWithCommon } from "./index-cb3e841f.js";
const _hoisted_1 = { class: "ml-12px" };
const _hoisted_2 = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", {
    fill: "currentColor",
    d: "M104.704 338.752a64 64 0 0 1 90.496 0l316.8 316.8 316.8-316.8a64 64 0 0 1 90.496 90.496L557.248 791.296a64 64 0 0 1-90.496 0L104.704 429.248a64 64 0 0 1 0-90.496z"
  })
], -1);
const _hoisted_3 = { class: "flex items-center" };
const _hoisted_4 = {
  key: 0,
  viewBox: "0 0 1024 1024",
  xmlns: "http://www.w3.org/2000/svg"
};
const _hoisted_5 = /* @__PURE__ */ createElementVNode("path", {
  fill: "currentColor",
  d: "M406.656 706.944 195.84 496.256a32 32 0 1 0-45.248 45.248l256 256 512-512a32 32 0 0 0-45.248-45.248L406.592 706.944z"
}, null, -1);
const _hoisted_6 = [
  _hoisted_5
];
const _hoisted_7 = { class: "fs12 fw500 text-gray-500" };
const __default__ = defineComponent({
  name: "tiptap-menus-heading"
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    editor: null
  },
  setup(__props) {
    const props = __props;
    const options = [
      { label: "正文", value: "paragraph", key: ["Alt", "Cmd", "0"], fs: "14px" },
      { label: "标题1", value: 1, key: ["Alt", "Cmd", "1"], fs: "18.2px" },
      { label: "标题2", value: 2, key: ["Alt", "Cmd", "2"], fs: "15.4px" },
      { label: "标题3", value: 3, key: ["Alt", "Cmd", "3"], fs: "14px" },
      { label: "标题4", value: 4, key: ["Alt", "Cmd", "4"], fs: "12.6px" },
      { label: "标题5", value: 5, key: ["Alt", "Cmd", "5"], fs: "12px" },
      { label: "标题6", value: 6, key: ["Alt", "Cmd", "6"], fs: "12px" }
    ];
    const current = computed(() => {
      var _a, _b, _c, _d, _e, _f;
      if ((_a = props.editor) == null ? void 0 : _a.isActive("heading", { level: 1 }))
        return "标题1";
      if ((_b = props.editor) == null ? void 0 : _b.isActive("heading", { level: 2 }))
        return "标题2";
      if ((_c = props.editor) == null ? void 0 : _c.isActive("heading", { level: 3 }))
        return "标题3";
      if ((_d = props.editor) == null ? void 0 : _d.isActive("heading", { level: 4 }))
        return "标题4";
      if ((_e = props.editor) == null ? void 0 : _e.isActive("heading", { level: 5 }))
        return "标题5";
      if ((_f = props.editor) == null ? void 0 : _f.isActive("heading", { level: 6 }))
        return "标题6";
      return "正文";
    });
    const isTitleActive = computed(() => {
      var _a;
      return (_a = props.editor) == null ? void 0 : _a.isActive.apply(props.editor, ["title"]);
    });
    const onCommand = (level) => {
      if (level === "paragraph") {
        props.editor.chain().focus().setParagraph().run();
      } else {
        props.editor.chain().focus().toggleHeading({ level }).run();
      }
    };
    return (_ctx, _cache) => {
      const _component_el_icon = resolveComponent("el-icon");
      const _component_el_dropdown_item = resolveComponent("el-dropdown-item");
      const _component_el_dropdown_menu = resolveComponent("el-dropdown-menu");
      const _component_el_dropdown = resolveComponent("el-dropdown");
      return openBlock(), createBlock(_component_el_dropdown, {
        class: "mr-10px",
        trigger: "click",
        "max-height": 250,
        "popper-class": "none-duration",
        disabled: unref(isTitleActive),
        onCommand
      }, {
        dropdown: withCtx(() => [
          createVNode(_component_el_dropdown_menu, null, {
            default: withCtx(() => [
              (openBlock(true), createElementBlock(Fragment, null, renderList(unref(options), (item) => {
                return openBlock(), createBlock(_component_el_dropdown_item, {
                  class: normalizeClass([{
                    "el-tiptap-dropdown-menu__item--active": unref(current) === item.label
                  }, "el-tiptap-dropdown-menu__item"]),
                  command: item.value,
                  key: item.value
                }, {
                  default: withCtx(() => [
                    createElementVNode("div", _hoisted_3, [
                      createVNode(_component_el_icon, {
                        class: "mr-6px w-18px",
                        size: "12"
                      }, {
                        default: withCtx(() => [
                          unref(current) === item.label ? (openBlock(), createElementBlock("svg", _hoisted_4, _hoisted_6)) : createCommentVNode("", true)
                        ]),
                        _: 2
                      }, 1024),
                      (openBlock(), createBlock(resolveDynamicComponent(item.value === "paragraph" ? "div" : "h" + item.value), {
                        class: normalizeClass(["flex items-center justify-between w-140px text-dark m-0", { "py-4px fw900": item.value !== "paragraph" }]),
                        style: normalizeStyle({ fontSize: item.fs })
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(item.label) + " ", 1),
                          createElementVNode("span", _hoisted_7, toDisplayString(unref(makeKeyMapWithCommon)(item.key)), 1)
                        ]),
                        _: 2
                      }, 1032, ["class", "style"]))
                    ])
                  ]),
                  _: 2
                }, 1032, ["class", "command"]);
              }), 128))
            ]),
            _: 1
          })
        ]),
        default: withCtx(() => [
          createElementVNode("div", {
            class: normalizeClass(["flex items-center justify-between rd-4px w-90px h-32px bg-light-dark", { "bg-hover-secondary": !unref(isTitleActive) }])
          }, [
            createElementVNode("div", _hoisted_1, toDisplayString(unref(current)), 1),
            createVNode(_component_el_icon, {
              class: "mr-8px",
              size: "12"
            }, {
              default: withCtx(() => [
                _hoisted_2
              ]),
              _: 1
            })
          ], 2)
        ]),
        _: 1
      }, 8, ["disabled"]);
    };
  }
});
const index_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as _
};
