import { defineComponent, ref, computed, watch, resolveComponent, openBlock, createBlock, unref, withCtx, createElementVNode, createVNode, normalizeClass, normalizeStyle, createElementBlock, Fragment, renderList, withModifiers, createTextVNode, nextTick } from "vue";
import { I as InlineSvg } from "./kit-ddc495fb.js";
import { e as svgPath } from "./index-cb3e841f.js";
import { C as COLOR_SET, i as isHexColor } from "./color-387e4356.js";
const _hoisted_1 = { class: "color-set" };
const _hoisted_2 = ["onClick"];
const _hoisted_3 = { class: "color__wrapper" };
const _hoisted_4 = { class: "color-hex" };
const _hoisted_5 = ["disabled"];
const _hoisted_6 = { class: "flex flex-col items-center justify-center" };
const __default__ = defineComponent({
  name: "tiptap-menus-text-color"
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    editor: null
  },
  setup(__props) {
    const props = __props;
    const colors = COLOR_SET;
    const isVisible = ref(false);
    const color = ref("#1c1f23");
    const isTextStyleActive = computed(() => {
      var _a;
      return !!((_a = props.editor) == null ? void 0 : _a.getAttributes("textStyle").color);
    });
    const isTitleActive = computed(() => {
      var _a;
      return (_a = props.editor) == null ? void 0 : _a.isActive.apply(props.editor, ["title"]);
    });
    const currentColor = computed(() => {
      var _a;
      const defaultValue = { color: "#1c1f23" };
      const attrs = { ...defaultValue, ...(_a = props.editor) == null ? void 0 : _a.getAttributes("textStyle") };
      Object.keys(attrs).forEach((key) => {
        if (attrs[key] === null || attrs[key] === void 0) {
          attrs[key] = defaultValue[key];
        }
      });
      return attrs.color;
    });
    watch(currentColor, () => {
      color.value = currentColor.value;
    });
    const setColor = (val) => {
      var _a, _b;
      isVisible.value = false;
      if (!val) {
        (_a = props.editor) == null ? void 0 : _a.chain().focus().unsetColor().run();
      } else if (typeof val === "string" && isHexColor(val)) {
        (_b = props.editor) == null ? void 0 : _b.chain().focus().setColor(val).run();
      }
      nextTick(() => {
        color.value = currentColor.value;
      });
    };
    return (_ctx, _cache) => {
      const _component_el_input = resolveComponent("el-input");
      const _component_el_button = resolveComponent("el-button");
      const _component_el_tooltip = resolveComponent("el-tooltip");
      const _component_el_popover = resolveComponent("el-popover");
      return openBlock(), createBlock(_component_el_popover, {
        visible: isVisible.value,
        "onUpdate:visible": _cache[5] || (_cache[5] = ($event) => isVisible.value = $event),
        disabled: unref(isTitleActive),
        placement: "bottom",
        "hide-after": 0,
        trigger: "click",
        width: "auto"
      }, {
        reference: withCtx(() => [
          createElementVNode("span", null, [
            createVNode(_component_el_tooltip, {
              content: "文本色",
              effect: "dark",
              placement: "top",
              enterable: false,
              "hide-after": 0
            }, {
              default: withCtx(() => [
                createElementVNode("button", {
                  class: normalizeClass(["tiptap-button overflow-hidden relative", {
                    "bg-light-dark": unref(isTextStyleActive),
                    "bg-hover-secondary": !unref(isTitleActive),
                    "text-gray-500": unref(isTitleActive)
                  }]),
                  disabled: unref(isTitleActive),
                  onClick: setColor
                }, [
                  createElementVNode("div", _hoisted_6, [
                    createVNode(unref(InlineSvg), {
                      class: "w-14px h-14px",
                      src: unref(svgPath)
                    }, null, 8, ["src"]),
                    createElementVNode("span", {
                      class: "w-12px h-2px rd-2px",
                      style: normalizeStyle({ backgroundColor: unref(currentColor) })
                    }, null, 4)
                  ])
                ], 10, _hoisted_5)
              ]),
              _: 1
            })
          ])
        ]),
        default: withCtx(() => [
          createElementVNode("div", _hoisted_1, [
            (openBlock(true), createElementBlock(Fragment, null, renderList(unref(colors), (color2) => {
              return openBlock(), createElementBlock("div", {
                key: color2,
                class: "color__wrapper"
              }, [
                createElementVNode("div", {
                  style: normalizeStyle({
                    "background-color": color2
                  }),
                  class: normalizeClass([{ "color--selected": unref(currentColor) === color2 }, "color-item"]),
                  onMousedown: _cache[0] || (_cache[0] = withModifiers(() => {
                  }, ["prevent"])),
                  onClick: withModifiers(($event) => setColor(color2), ["stop"])
                }, null, 46, _hoisted_2)
              ]);
            }), 128)),
            createElementVNode("div", _hoisted_3, [
              createElementVNode("div", {
                class: "color-item color--remove",
                onMousedown: _cache[1] || (_cache[1] = withModifiers(() => {
                }, ["prevent"])),
                onClick: _cache[2] || (_cache[2] = withModifiers(($event) => setColor(""), ["stop"]))
              }, null, 32)
            ])
          ]),
          createElementVNode("div", _hoisted_4, [
            createVNode(_component_el_input, {
              class: "color-hex__input",
              modelValue: color.value,
              "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => color.value = $event),
              placeholder: "HEX",
              autofocus: "true",
              maxlength: "7",
              size: "small"
            }, null, 8, ["modelValue"]),
            createVNode(_component_el_button, {
              size: "small",
              class: "color-hex__button",
              text: "",
              onClick: _cache[4] || (_cache[4] = ($event) => setColor(color.value))
            }, {
              default: withCtx(() => [
                createTextVNode(" 确定 ")
              ]),
              _: 1
            })
          ])
        ]),
        _: 1
      }, 8, ["visible", "disabled"]);
    };
  }
});
const index_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as _
};
