import { defineComponent, computed, resolveComponent, openBlock, createBlock, unref, withCtx, createVNode, createElementBlock, Fragment, renderList, normalizeClass, createElementVNode, createCommentVNode, toDisplayString } from "vue";
const _hoisted_1 = { class: "ml-12px" };
const _hoisted_2 = /* @__PURE__ */ createElementVNode("div", { class: "mr-8px i-mdi-chevron-down" }, null, -1);
const _hoisted_3 = { class: "flex items-center" };
const _hoisted_4 = {
  key: 0,
  viewBox: "0 0 1024 1024",
  xmlns: "http://www.w3.org/2000/svg"
};
const _hoisted_5 = /* @__PURE__ */ createElementVNode("path", {
  fill: "currentColor",
  d: "M406.656 706.944 195.84 496.256a32 32 0 1 0-45.248 45.248l256 256 512-512a32 32 0 0 0-45.248-45.248L406.592 706.944z"
}, null, -1);
const _hoisted_6 = [
  _hoisted_5
];
const _hoisted_7 = { class: "text-dark fs14 m-0" };
const __default__ = defineComponent({
  name: "tiptap-menus-font-size"
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    editor: null
  },
  setup(__props) {
    const props = __props;
    const fontSizes = [
      "12px",
      "13px",
      "14px",
      "15px",
      "16px",
      "19px",
      "22px",
      "24px",
      "29px",
      "32px",
      "40px",
      "48px"
    ];
    const isTitleActive = computed(() => {
      var _a;
      return (_a = props.editor) == null ? void 0 : _a.isActive.apply(props.editor, ["title"]);
    });
    const currentFontSize = computed(() => {
      var _a;
      const defaultValue = { fontSize: "16px" };
      const attrs = { ...defaultValue, ...(_a = props.editor) == null ? void 0 : _a.getAttributes("textStyle") };
      Object.keys(attrs).forEach((key) => {
        if (attrs[key] === null || attrs[key] === void 0) {
          attrs[key] = defaultValue[key];
        }
      });
      return attrs.fontSize;
    });
    const onCommand = (fs) => {
      props.editor.chain().focus().setFontSize(fs).run();
    };
    return (_ctx, _cache) => {
      const _component_el_icon = resolveComponent("el-icon");
      const _component_el_dropdown_item = resolveComponent("el-dropdown-item");
      const _component_el_dropdown_menu = resolveComponent("el-dropdown-menu");
      const _component_el_dropdown = resolveComponent("el-dropdown");
      return openBlock(), createBlock(_component_el_dropdown, {
        class: "mr-10px",
        trigger: "click",
        "max-height": 250,
        "popper-class": "none-duration",
        disabled: unref(isTitleActive),
        onCommand
      }, {
        dropdown: withCtx(() => [
          createVNode(_component_el_dropdown_menu, null, {
            default: withCtx(() => [
              (openBlock(true), createElementBlock(Fragment, null, renderList(unref(fontSizes), (item) => {
                return openBlock(), createBlock(_component_el_dropdown_item, {
                  class: normalizeClass([{
                    "el-tiptap-dropdown-menu__item--active": unref(currentFontSize) === item
                  }, "el-tiptap-dropdown-menu__item"]),
                  command: item,
                  key: item
                }, {
                  default: withCtx(() => [
                    createElementVNode("div", _hoisted_3, [
                      createVNode(_component_el_icon, {
                        class: "mr-6px w-18px",
                        size: "12"
                      }, {
                        default: withCtx(() => [
                          unref(currentFontSize) === item ? (openBlock(), createElementBlock("svg", _hoisted_4, _hoisted_6)) : createCommentVNode("", true)
                        ]),
                        _: 2
                      }, 1024),
                      createElementVNode("div", _hoisted_7, toDisplayString(item), 1)
                    ])
                  ]),
                  _: 2
                }, 1032, ["class", "command"]);
              }), 128))
            ]),
            _: 1
          })
        ]),
        default: withCtx(() => [
          createElementVNode("div", {
            class: normalizeClass(["flex items-center justify-between rd-4px w-90px h-32px bg-light-dark", { "bg-hover-secondary": !unref(isTitleActive) }])
          }, [
            createElementVNode("div", _hoisted_1, toDisplayString(unref(currentFontSize)), 1),
            _hoisted_2
          ], 2)
        ]),
        _: 1
      }, 8, ["disabled"]);
    };
  }
});
const index_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as _
};
