import { Node } from '@tiptap/core';
import { HeadingContentAttributes } from './block-types/heading-block/heading-content';
export interface IBlock {
    HTMLAttributes: Record<string, any>;
}
export type BlockContentAttributes = HeadingContentAttributes;
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        block: {
            BNCreateBlock: (pos: number) => ReturnType;
            BNDeleteBlock: (posInBlock: number) => ReturnType;
            BNMergeBlocks: (posBetweenBlocks: number) => ReturnType;
            BNSplitBlock: (posInBlock: number, keepType: boolean) => ReturnType;
            BNSetContentType: (posInBlock: number, type: string, attributes?: BlockContentAttributes) => ReturnType;
            BNCreateBlockOrSetContentType: (posInBlock: number, type: string, attributes?: BlockContentAttributes) => ReturnType;
        };
    }
}
/**
 * The main "Block node" documents consist of
 */
export declare const Block: Node<IBlock, any>;
