import { Plugin } from 'prosemirror-state';
/**
 * This plugin tracks transformation of Block node attributes, so we can support CSS transitions.
 *
 * Problem it solves: ProseMirror recreates the DOM when transactions happen. So when a transaction changes a Node attribute,
 * it results in a completely new DOM element. This means CSS transitions don't work.
 *
 * Solution: When attributes change on a node, this plugin sets a data-* attribute with the "previous" value. This way we can still use CSS transitions. (See block.module.css)
 */
export declare const PreviousBlockTypePlugin: () => Plugin<{
    prevBlockAttrs: any;
    needsUpdate: boolean;
}>;
