import { Editor } from '@tiptap/core';
import { EditorState, Plugin, PluginKey } from '@tiptap/pm/state';
import { EditorView } from '@tiptap/pm/view';
import { Instance, Props } from 'tippy.js';
export interface BubbleMenuPluginProps {
    pluginKey: PluginKey | string;
    editor: Editor;
    element: HTMLElement;
    tippyOptions?: Partial<Props>;
    shouldShow?: ((props: {
        editor: Editor;
        node?: HTMLElement;
        view?: EditorView;
        state?: EditorState;
        oldState?: EditorState;
        from?: number;
        to?: number;
    }) => boolean) | null;
    getRenderContainer?: (node: HTMLElement) => HTMLElement;
    defaultAnimation?: boolean;
}
export type BubbleMenuViewProps = BubbleMenuPluginProps & {
    view: EditorView;
};
export declare class BubbleMenuView {
    editor: Editor;
    element: HTMLElement;
    view: EditorView;
    preventHide: boolean;
    tippy: Instance | undefined;
    tippyOptions?: Partial<Props>;
    getRenderContainer?: BubbleMenuPluginProps['getRenderContainer'];
    defaultAnimation?: BubbleMenuPluginProps['defaultAnimation'];
    shouldShow: Exclude<BubbleMenuPluginProps['shouldShow'], null>;
    constructor({ editor, element, view, tippyOptions, shouldShow, getRenderContainer, defaultAnimation }: BubbleMenuViewProps);
    mousedownHandler: () => void;
    dragstartHandler: () => void;
    focusHandler: () => void;
    blurHandler: ({ event }: {
        event: FocusEvent;
    }) => void;
    createTooltip(): void;
    update(view: EditorView, oldState?: EditorState): void;
    addActiveBubbleMenu: () => void;
    removeActiveBubbleMenu: () => void;
    show(): void;
    hide(): void;
    destroy(): void;
}
export declare const BubbleMenuPlugin: (options: BubbleMenuPluginProps) => Plugin<any>;
