import { Editor as CoreEditor, Extension } from '@tiptap/core';
import { Fragment, Node, Schema } from 'prosemirror-model';
interface IPasteOptions {
    /**
     *
     * 将 html 转换为 prosemirror
     */
    htmlToProsemirror: (arg: {
        editor: CoreEditor;
        schema: Schema;
        html: string;
        needTitle: boolean;
        defaultTitle?: string;
    }) => Node;
    /**
     * 将 markdown 转换为 html
     */
    markdownToHTML: (arg: string) => string;
    /**
     * 将 markdown 转换为 prosemirror 节点
     */
    markdownToProsemirror: (arg: {
        editor: CoreEditor;
        schema: Schema;
        content: string;
        needTitle: boolean;
    }) => Node;
    /**
     * 将 prosemirror 转换为 markdown
     */
    prosemirrorToMarkdown: (arg: {
        content: Fragment;
    }) => string;
}
export declare const Paste: Extension<IPasteOptions, any>;
export {};
