import { Extension } from '@tiptap/core';
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        search: {
            /**
             * @description Set search term in extension.
             */
            setSearchTerm: (searchTerm: string, callback: Function) => ReturnType;
            /**
             * @description Set replace term in extension.
             */
            setReplaceTerm: (replaceTerm: string) => ReturnType;
            /**
             * @description Replace first instance of search result with given replace term.
             */
            replace: () => ReturnType;
            /**
             * @description Replace all instances of search result with given replace term.
             */
            replaceAll: () => ReturnType;
            goToPrevSearchResult: () => void;
            goToNextSearchResult: () => void;
        };
    }
}
interface Result {
    from: number;
    to: number;
}
interface SearchOptions {
    searchTerm: string;
    replaceTerm: string;
    results: Result[];
    currentIndex: number;
    searchResultClass: string;
    searchResultCurrentClass: string;
    caseSensitive: boolean;
    disableRegex: boolean;
    onChange?: () => void;
}
export declare const ON_SEARCH_RESULTS = "ON_SEARCH_RESULTS";
export declare const SearchNReplace: Extension<SearchOptions, any>;
export {};
