/**
 * 获取文件名
 *
 * @example
 *   > extractFilename('https://gitlab.com/images/logo-full.png')
 *   < 'logo-full'
 *
 * @param {string} src The URL to extract filename from
 * @returns {string}
 */
export declare const extractFilename: (src: string) => string;
/**
 * 获取文件扩展名
 * @param {string} fileName 文件名
 * @returns  {string}
 */
export declare const extractFileExtension: (fileName: string) => string | undefined;
export declare const normalizeFileSize: (size: number) => string;
export type FileType = 'image' | 'audio' | 'video' | 'pdf' | 'file';
export declare const normalizeFileType: (fileType: string) => FileType;
export declare const readImageAsBase64: (file: File) => Promise<{
    alt: string;
    src: string;
}>;
export declare const getImageWidthHeight: (url: string) => Promise<{
    width: number | string;
    height: number | string;
}>;
