export declare const fileRegular: {
    img: RegExp;
    video: RegExp;
    audio: RegExp;
};
export declare enum fileEnum {
    image = "static/img/file-type/image.png",
    voice = "static/img/file-type/voice.png",
    video = "static/img/file-type/video.png",
    word = "static/img/file-type/word.png",
    xlsx = "static/img/file-type/xlsx.png",
    pdf = "static/img/file-type/pdf.png",
    ppt = "static/img/file-type/ppt.png",
    txt = "static/img/file-type/txt.png",
    other = "static/img/file-type/other.png"
}
/**
 * @description: 获取文件后缀
 * @param {String} filename 文件名字
 * @return {String} 文件后缀
 */
export declare const getFileExtension: (fileName: string) => string;
export declare const getFileType: (fileName: string) => string;
export declare const fileIcon: (fileName: string) => string;
/**
 * @description: 下载附件
 * @param {String} name 附件名称【尽可能携带文件格式】
 * @param {String} url 附件地址
 * @return {Promise}
 */
export declare const download: (name: string, url: string) => Promise<void>;
export declare const b64toBlob: (b64Data: string, contentType?: string, sliceSize?: number) => Blob;
