import OSS from 'ali-oss';
import { Editor as E } from '@tiptap/core';
export type Editor = E;
export type UploadFile = (file: File, onUploadProgress?: (progress: number) => void, onTooLarge?: () => void) => Promise<OSS.MultipartUploadResult & {
    fileFullUrl: string;
}>;
export type MentionParams = {
    id: string;
    type: string;
    label: string;
    spaceId: string;
};
export type MentionEvent = (params: MentionParams) => void;
export type MenuExpand = {
    icon: string;
    index: number | undefined | null;
    label: string;
    action: (editor: E) => void;
}[];
export type CommentServer = {
    formatImage: (value: string, type?: 'b169' | 'm169' | 's169' | 'b43' | 'm43' | 's43' | 'b11' | 'm11' | 's11') => string;
    wikiId: string;
    add: (params: {
        userId: string;
        wikiId: string;
        anchor: string;
        comment: string;
    }) => Promise<any>;
    del: (id: string) => Promise<any>;
    upd: (params: {
        id: string;
        userId: string;
        wikiId: string;
        anchor: string;
        comment: string;
    }) => Promise<any>;
    /**
     * @description: 评论列表【不要分页】
     * @return {Promise<any>}
     */
    list: (query: {
        currentPage?: number;
        pageSize?: number;
        isPage?: boolean;
        search?: any[];
    }) => Promise<any>;
};
export type UserInfo = {
    id: string;
    name: string;
    avatar: string;
};
